#!/bin/bash

if [ $# -eq 0 ]; then
    cqpserver -I /root/cqpserver.init
elif [ $1 == "prepare" ]; then
  # Input:
  #   - Source file: "/root/files/corpus.vrt"
  # Output
  #   - Corpus name: "CORPUS"
  #   - Corpus data directory: "/corpora/data/corpus"
  #   - Corpus registry file: "/usr/local/share/cwb/registry/corpus"
  mkdir -p /corpora/data/corpus
  cwb-encode \
    -c utf8 \
    -d /corpora/data/corpus \
    -f /root/files/corpus.vrt \
    -R /usr/local/share/cwb/registry/corpus \
    -P lemma -P simple_pos -P pos -P ner \
    -S text:0+address+author+booktitle+chapter+editor+institution+journal+pages+publisher+publishing_year+school+title -S s \
    -0 corpus \
    -xsB
  cwb-make \
    -V CORPUS
else
    echo "Unknown command"
fi
